/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef KCDIALOG_H
#define KCDIALOG_H

#include <qdialog.h>
class KCModule;
class PushButton;
class QFrame;

class KCDialog:public QDialog
{
  Q_OBJECT

public:
  KCDialog(KCModule * client, QWidget * parent =
           0, const char *name = 0, bool modal =
           false, WFlags f = 0);

signals:protected

slots:
  void helpClicked();
  void defaultClicked();
  void resetClicked();
  void cancelClicked();
  void applyClicked();
  void okClicked();
  void clientChanged(bool state);

private:
  KCModule *_client;
  QPushButton *_help;
  QPushButton *_default;
  QPushButton *_reset;
  QPushButton *_cancel;
  QPushButton *_apply;
  QPushButton *_ok;
  QFrame *_sep;
};

#endif













